"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEventTarget = void 0;

var getEventTarget = event => {
  if ((event === null || event === void 0 ? void 0 : event.target) == undefined) {
    return undefined;
  }

  if (event.target.tagName.toLowerCase() == 'option') {
    return event.target.closest('select');
  }

  return event.target;
};

exports.getEventTarget = getEventTarget;